import { FrameObject, AnimatedSprite as pxAnimatedSprite, SpriteOptions, Texture } from 'pixi.js';
import { Events } from './events';
import { CommonProps } from './interfaces';
export type ExtendedAnimatedSprite<Data extends object> = pxAnimatedSprite & Data;
export type AnimatedSpriteProps<Data extends object> = CommonProps<pxAnimatedSprite, Data> & Omit<SpriteOptions, 'texture'> & {
    textures: Texture[] | FrameObject[];
    autoUpdate?: boolean;
    animationSpeed?: number;
    loop?: boolean;
    updateAnchor?: boolean;
    onComplete?: () => void;
    onFrameChange?: (currentFrame: number) => void;
    onLoop?: () => void;
} & Events & Data;
export declare function AnimatedSprite<Data extends object = object>(props: AnimatedSpriteProps<Data>): import("solid-js").JSX.Element;
//# sourceMappingURL=AnimatedSprite.d.ts.map