import { AssetInitOptions, Assets as pxAssets } from 'pixi.js';
import { JSX, NoInfer, ResourceOptions } from 'solid-js';
import { CommonProps } from './interfaces';
export type AssetsLoader = {
    fallback?: JSX.Element;
    init?: AssetInitOptions;
    resourceOptions?: ResourceOptions<NoInfer<unknown>, unknown>;
    add?: Parameters<(typeof pxAssets)['add']>;
    load?: Parameters<(typeof pxAssets)['load']>;
    addBundle?: Parameters<(typeof pxAssets)['addBundle']>;
    addBundles?: Array<Parameters<(typeof pxAssets)['addBundle']>>;
    loadBundle?: Parameters<(typeof pxAssets)['loadBundle']>;
    backgroundLoad?: Parameters<(typeof pxAssets)['backgroundLoad']>;
    backgroundLoadBundle?: Parameters<(typeof pxAssets)['backgroundLoadBundle']>;
};
export type AssetsProps = Pick<CommonProps, 'children'> & AssetsLoader;
export declare function loadAssets(loaders: Omit<AssetsProps, 'children' | 'fallback' | 'resourceOptions'>, resourceOptions: ResourceOptions<unknown, unknown> | undefined): import("solid-js").InitializedResourceReturn<any[] | undefined, unknown>;
export declare function Assets(props: AssetsProps): JSX.Element;
//# sourceMappingURL=Assets.d.ts.map