import { GraphicsContext, GraphicsOptions, Graphics as pxGraphics } from 'pixi.js';
import { Events } from './events';
import { CommonProps } from './interfaces';
export type DrawCall = ['texture', ...Parameters<pxGraphics['texture']>] | ['fill', ...Parameters<pxGraphics['fill']>] | ['stroke', ...Parameters<pxGraphics['stroke']>] | ['texture', ...Parameters<pxGraphics['texture']>] | ['beginPath', ...Parameters<pxGraphics['beginPath']>] | ['cut', ...Parameters<pxGraphics['cut']>] | ['arc', ...Parameters<pxGraphics['arc']>] | ['arcTo', ...Parameters<pxGraphics['arcTo']>] | ['arcToSvg', ...Parameters<pxGraphics['arcToSvg']>] | ['bezierCurveTo', ...Parameters<pxGraphics['bezierCurveTo']>] | ['closePath', ...Parameters<pxGraphics['closePath']>] | ['ellipse', ...Parameters<pxGraphics['ellipse']>] | ['circle', ...Parameters<pxGraphics['circle']>] | ['path', ...Parameters<pxGraphics['path']>] | ['lineTo', ...Parameters<pxGraphics['lineTo']>] | ['moveTo', ...Parameters<pxGraphics['moveTo']>] | ['quadraticCurveTo', ...Parameters<pxGraphics['quadraticCurveTo']>] | ['rect', ...Parameters<pxGraphics['rect']>] | ['roundRect', ...Parameters<pxGraphics['roundRect']>] | ['poly', ...Parameters<pxGraphics['poly']>] | ['star', ...Parameters<pxGraphics['star']>] | ['svg', ...Parameters<pxGraphics['svg']>] | ['restore', ...Parameters<pxGraphics['restore']>] | ['save', ...Parameters<pxGraphics['save']>] | ['getTransform', ...Parameters<pxGraphics['getTransform']>] | ['resetTransform', ...Parameters<pxGraphics['resetTransform']>] | ['rotateTransform', ...Parameters<pxGraphics['rotateTransform']>] | ['scaleTransform', ...Parameters<pxGraphics['scaleTransform']>] | ['setTransform', ...Parameters<pxGraphics['setTransform']>] | ['transform', ...Parameters<pxGraphics['transform']>] | ['translateTransform', ...Parameters<pxGraphics['translateTransform']>] | ['clear', ...Parameters<pxGraphics['clear']>];
export type DrawCalls = Array<DrawCall>;
export type ExtendedGraphics<Data extends object> = pxGraphics & Data;
export type GraphicsProps<Data extends object> = CommonProps<pxGraphics, Data> & Omit<GraphicsOptions, 'children'> & Events & {
    draw?: DrawCalls;
    context?: GraphicsContext;
};
export declare function Graphics<Data extends object = object>(props: GraphicsProps<Data>): null;
//# sourceMappingURL=Graphics.d.ts.map